# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "amplify_derive"
version = "2.4.0"
authors = ["Dr. Maxim Orlovsky <orlovsky@pandoracore.com>", "Elichai Turkel <elichai.turkel@gmail.com>"]
include = ["**/*.rs", "Cargo.toml"]
description = "Amplifying Rust language capabilities: derive macros for the 'amplify' library"
homepage = "https://github.com/LNP-BP"
readme = "README.md"
keywords = ["generics", "derive", "wrap", "patterns"]
categories = ["data-structures", "rust-patterns"]
license = "MIT"
repository = "https://github.com/LNP-BP/rust-amplify"

[lib]
name = "amplify_derive"
path = "src/lib.rs"
proc-macro = true
[dependencies.quote]
version = "1.0.7"

[dependencies.syn]
version = "1.0.31"

[dev-dependencies]
